DelegatingCollector (Solr 3.6.2 API)
Keywords: org.apache.solr.search.DelegatingCollector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class DelegatingCollector

    java.lang.Object
      org.apache.lucene.search.Collector
          org.apache.solr.search.DelegatingCollector

    public class DelegatingCollector

extends Collector

A simple delegating collector where one can set the delegate after creation

Field Summary
`protected Collector` | `delegate`
`protected int` | `docBase`
`protected IndexReader` | `reader`
`protected Scorer` | `scorer`

Constructor Summary
`DelegatingCollector()`

Method Summary
`boolean` | `acceptsDocsOutOfOrder()`
`void` | `collect(int doc)`
`Collector` | `getDelegate()`
`void` | `setDelegate(Collector delegate)`
`void` | `setLastDelegate(Collector delegate)` Sets the last delegate in a chain of DelegatingCollectors
`void` | `setNextReader(IndexReader reader, int docBase)`
`void` | `setScorer(Scorer scorer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### delegate

    protected Collector delegate

### scorer

    protected Scorer scorer

### reader

    protected IndexReader reader

### docBase

    protected int docBase

Constructor Detail

### DelegatingCollector

    public DelegatingCollector()

Method Detail

### getDelegate

    public Collector getDelegate()

### setDelegate

    public void setDelegate(Collector delegate)

### setLastDelegate

    public void setLastDelegate(Collector delegate)

  Sets the last delegate in a chain of DelegatingCollectors

### setScorer

    public void setScorer(Scorer scorer)
                   throws IOException

  Specified by:
    `setScorer` in class `Collector`
  Throws:
    `IOException`

### collect

    public void collect(int doc)
                 throws IOException

  Specified by:
    `collect` in class `Collector`
  Throws:
    `IOException`

### setNextReader

    public void setNextReader(IndexReader reader,
                              int docBase)
                       throws IOException

  Specified by:
    `setNextReader` in class `Collector`
  Throws:
    `IOException`

### acceptsDocsOutOfOrder

    public boolean acceptsDocsOutOfOrder()

  Specified by:
    `acceptsDocsOutOfOrder` in class `Collector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD